/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, String_$type, markType } from "./type";
import { Dictionary$2 } from "./Dictionary$2";
import { ShapeDataSourceDescription } from "./ShapeDataSourceDescription";
/**
 * @hidden
 */
export class ShapeDataSourceDescriptionMetadata extends Base {
    static b(a) {
        if (ShapeDataSourceDescriptionMetadata.a == null) {
            ShapeDataSourceDescriptionMetadata.a = new Dictionary$2(String_$type, String_$type, 0);
            ShapeDataSourceDescriptionMetadata.c(a, ShapeDataSourceDescriptionMetadata.a);
        }
    }
    static c(a, b) {
        b.item("WorldRect", "Rect");
    }
    static d(a) {
        ShapeDataSourceDescriptionMetadata.b(a);
        a.n("ShapeDataSource", () => new ShapeDataSourceDescription());
        a.m("ShapeDataSource", ShapeDataSourceDescriptionMetadata.a);
    }
}
ShapeDataSourceDescriptionMetadata.$t = markType(ShapeDataSourceDescriptionMetadata, 'ShapeDataSourceDescriptionMetadata');
ShapeDataSourceDescriptionMetadata.a = null;
